Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Interface NexusObject

All Known Subinterfaces:
  NexusBlock

All Known Implementing Classes:
  CharactersBlock, DataBlock, DistancesBlock, NexusBlock.Abstract, NexusComment, TaxaBlock, TreesBlock

    public interface NexusObject

Represents general info about nexus objects.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Method Summary
`void` | `writeObject(Writer writer)` Writes this object to the given writer.

Method Detail

### writeObject

    void writeObject(Writer writer)
                     throws IOException

  Writes this object to the given writer.

  Parameters:
    `writer` - the writer to write to.
  Throws:
    `IOException` - if it could not be written.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD